Bug 133125 - %s on random data is dangerous
Summary: %s on random data is dangerous
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sudo (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-21 19:30 UTC by David Binderman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 13:12:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-09-21 19:30:55 UTC
Description of problem:

I just tried to compile package sudo-1.6.7p5-27 from
Redhat Fedora Core 3 Test 1.

The compiler said

sesh.c(21): warning #267: the format string requires additional arguments

The source code is

    snprintf(buf, sizeof(buf), "%s: Couldn't fork");

%s on random data is dangerous. Suggest rework.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2004-09-29 11:56:06 UTC
Oops, thanks fixed in sudo-1_6_7p5-30

Comment 2 Karel Zak 2005-05-02 19:13:18 UTC
It's valid for RHEL3 too.


Note You need to log in before you can comment on or make changes to this bug.